Last Comment Bug 743393 - background-attachment:fixed > black / white areas when maximizing
: background-attachment:fixed > black / white areas when maximizing
Status: RESOLVED FIXED
: css3, regression
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 14 Branch
: x86_64 Windows 8
: -- normal with 1 vote (vote)
: mozilla14
Assigned To: Bas Schouten (:bas.schouten)
:
:
Mentors:
Depends on:
Blocks: 740815
  Show dependency treegraph
 
Reported: 2012-04-06 16:42 PDT by Futur Fusionneur
Modified: 2013-04-25 11:47 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Bug Simulation (16.18 KB, text/html)
2012-04-06 16:42 PDT, Futur Fusionneur
no flags Details
Reset ScissorRect when clearing surfaces (4.13 KB, patch)
2012-04-07 08:54 PDT, Bas Schouten (:bas.schouten)
jmuizelaar: review+
Details | Diff | Splinter Review

Description Futur Fusionneur 2012-04-06 16:42:17 PDT
Created attachment 613022 [details]
Bug Simulation

User Agent: Mozilla/5.0 (Windows NT 6.2; Win64; x64; rv:14.0) Gecko/20120406 Firefox/14.0a1
Build ID: 20120406031222

Steps to reproduce:

Assumptions
-using "background-attachment:fixed" over some text
-make a windows very small (restore state) so that the margins of the browser cover a part of the text
-then maximize the window


Actual results:

-text gets covered by black / white areas

______________________________________________________________

HTML code: http://jsbin.com/anafel/3
Screenshots: 
1)-normal- http://i1271.photobucket.com/albums/jj627/Fusionneur/1.jpg
2)-small restore state -http://i1271.photobucket.com/albums/jj627/Fusionneur/2.jpg
3)-maximizing-http://i1271.photobucket.com/albums/jj627/Fusionneur/3.jpg
4)-bug-http://i1271.photobucket.com/albums/jj627/Fusionneur/4.jpg
5)-code-http://i1271.photobucket.com/albums/jj627/Fusionneur/5.jpg


Expected results:

-page should be rendered upon maximizing
Comment 1 Alice0775 White 2012-04-07 08:16:30 PDT
Regression window(m-c)
Works:
http://hg.mozilla.org/mozilla-central/rev/6881fa89cfca
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120404 Firefox/14.0a1 ID:20120404001322
Fails:
http://hg.mozilla.org/mozilla-central/rev/638769f8ec54
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120404 Firefox/14.0a1 ID:20120404043722
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=6881fa89cfca&tochange=638769f8ec54


Regression window(m-i)
Works:
http://hg.mozilla.org/integration/mozilla-inbound/rev/c95b597b5f08
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120403 Firefox/14.0a1 ID:20120403124022
Fails:
http://hg.mozilla.org/integration/mozilla-inbound/rev/9fa58c6060c5
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120403 Firefox/14.0a1 ID:20120403132722
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=c95b597b5f08&tochange=9fa58c6060c5

Suspected: Bug 740815


Graphics   
Adapter Description : ATI Radeon HD 4300/4500 Series
Vendor ID : 0x1002
Device ID : 0x954f
Adapter RAM : 512
Adapter Drivers : aticfx64 aticfx64 aticfx32 aticfx32 atiumd64 atidxx64 atiumdag atidxx32 atiumdva atiumd6a atitmm64
Driver Version : 8.950.0.0
Driver Date : 2-14-2012
Direct2D Enabled : true
DirectWrite Enabled : true (6.1.7601.17776)
ClearType Parameters : Gamma: 2200 Pixel Structure: RGB ClearType Level: 50 Enhanced Contrast: 200 
WebGL Renderer : Google Inc. -- ANGLE (ATI Radeon HD 4300/4500 Series) -- OpenGL ES 2.0 (ANGLE 1.0.0.963)
GPU Accelerated Windows : 1/1 Direct3D 10
AzureBackend : direct2d
Comment 2 Bas Schouten (:bas.schouten) 2012-04-07 08:54:54 PDT
Created attachment 613115 [details] [diff] [review]
Reset ScissorRect when clearing surfaces

This is the result of the old scissor rect still being fixed. This patch fixes that issue, it also removes DualViewport setup as I realized the viewport used depends on the Geomery Shader and not on pixel shader output and we don't actually use more than one viewport. This means we can just use the LayerManager viewport code for this.
Comment 3 Bas Schouten (:bas.schouten) 2012-04-11 17:09:44 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/52cee9dadfaa
Comment 5 :Ehsan Akhgari 2012-04-12 10:18:17 PDT
Backed out: https://hg.mozilla.org/mozilla-central/rev/ed7531e39066
Comment 7 Jim_Schneider 2013-04-25 09:58:00 PDT
How do I re-open this bug as I'm seeing this behavior in Firefox 20?
Comment 8 (mostly gone) XtC4UaLL [:xtc4uall] 2013-04-25 11:47:03 PDT
(In reply to Jim_Schneider from comment #7)
> How do I re-open this bug as I'm seeing this behavior in Firefox 20?

Please file a new Report with Testcase/Screenshot/Steps to reproduce and the Graphics Section of about:support.

Note You need to log in before you can comment on or make changes to this bug.